Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Interface JBossMonitorMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  StringThresholdMonitorMBean, ThresholdMonitorMBean

All Known Implementing Classes:
  JBossMonitor, StringThresholdMonitor, ThresholdMonitor

public interface JBossMonitorMBean
extends org.jboss.system.ServiceMBean

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `alerted()`
`void` | `clearAlert()`
`ArrayList` | `getAlertListeners()`
`boolean` | `getEnabled()`
`String` | `getMonitorName()`
`String` | `getObservedAttribute()`
`javax.management.ObjectName` | `getObservedObject()`
`long` | `getPeriod()`
`String` | `getThreshold()`
`Object` | `getTriggeredAttributeValue()`
`long` | `getTriggerTime()`
`void` | `setAlertListeners(ArrayList listeners)`
`void` | `setEnabled(boolean start)`
`void` | `setMonitorName(String name)`
`void` | `setObservedAttribute(String attr)`
`void` | `setObservedObject(javax.management.ObjectName oname)`
`void` | `setPeriod(long period)`
`void` | `setThreshold(String val)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getMonitorName

    public String getMonitorName()

### setMonitorName

    public void setMonitorName(String name)

### getObservedObject

    public javax.management.ObjectName getObservedObject()

### setObservedObject

    public void setObservedObject(javax.management.ObjectName oname)

### getObservedAttribute

    public String getObservedAttribute()

### setObservedAttribute

    public void setObservedAttribute(String attr)

### getThreshold

    public String getThreshold()

### setThreshold

    public void setThreshold(String val)

### getEnabled

    public boolean getEnabled()

### setEnabled

    public void setEnabled(boolean start)

### getPeriod

    public long getPeriod()

### setPeriod

    public void setPeriod(long period)

### getAlertListeners

    public ArrayList getAlertListeners()

### setAlertListeners

    public void setAlertListeners(ArrayList listeners)

### getTriggeredAttributeValue

    public Object getTriggeredAttributeValue()

### getTriggerTime

    public long getTriggerTime()

### alerted

    public boolean alerted()

### clearAlert

    public void clearAlert()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.